#include "action/BatchEntry.h"

BatchEntry::BatchEntry(ActionContextPtr actionContext, InitialRequestPtr initialRequest)
{
	this->actionContext = actionContext;
	this->initialRequest = initialRequest;
}

ActionContextPtr BatchEntry::getActionContext()
{
	return actionContext;
}

InitialRequestPtr BatchEntry::getInitialRequest()
{
    return initialRequest;
}

bool BatchEntry::isFulfilled()
{
	return fulfilled;
}

void BatchEntry::setFulfilled(bool fulfilled)
{
    this->fulfilled = fulfilled;
}

AgString BatchEntry::toString()
{
    return AgString("");
}




